pcl::_PointXYZLNormal Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointXYZLNormal:

## Public Attributes

| PCL_ADD_POINT4D
| PCL_ADD_NORMAL4D
union {
struct {
uint32_t label
float curvature
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 991 of file point_types.hpp.

## Member Data Documentation

## @31

union { ... }

## curvature

float pcl::_PointXYZLNormal::curvature

Definition at line 1000 of file point_types.hpp.

Referenced by pcl::PointXYZLNormal::PointXYZLNormal().

## data_c

float pcl::_PointXYZLNormal::data_c[4]

Definition at line 1002 of file point_types.hpp.

## label

uint32_t pcl::_PointXYZLNormal::label

Definition at line 999 of file point_types.hpp.

Referenced by pcl::common::IntensityFieldAccessor< pcl::PointXYZLNormal >::add(), pcl::common::IntensityFieldAccessor< pcl::PointXYZLNormal >::demean(), pcl::common::IntensityFieldAccessor< pcl::PointXYZLNormal >::get(), pcl::common::IntensityFieldAccessor< pcl::PointXYZLNormal >::operator()(), pcl::PointXYZLNormal::PointXYZLNormal(), and pcl::common::IntensityFieldAccessor< pcl::PointXYZLNormal >::set().

## PCL_ADD_NORMAL4D

pcl::_PointXYZLNormal::PCL_ADD_NORMAL4D

Definition at line 994 of file point_types.hpp.

## PCL_ADD_POINT4D

pcl::_PointXYZLNormal::PCL_ADD_POINT4D

Definition at line 993 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/common/include/pcl/impl/point_types.hpp